process.events {utils} | R Documentation

## Trigger event handling

### Description

R front ends like the Windows GUI handle key presses and mouse clicks through “events” generated by the OS. These are processed automatically by R at intervals during computations, but in some cases it may be desirable to trigger immediate event handling. The `process.events` function does that.

### Usage

    process.events()

### Details

This is a simple wrapper for the C API function `R_ProcessEvents`. As such, it is possible that it will not return if the user has signalled to interrupt the calculation.

### Value

`NULL` is returned invisibly.

### Author(s)

Duncan Murdoch

### See Also

See ‘Writing R Extensions’ and the ‘R for Windows FAQ’ for more discussion of the `R_ProcessEvents` function.

[Package utils version 3.4.2 Index]